Package com.emc.d2fs.interfaces

# Interface IX3ConfigService

All Superinterfaces:
  `ID2fsService`

public interface IX3ConfigService extends ID2fsService
D2 Portal Page configuration services. Provides access available spaces, skins, widgets and general D2 user configuration.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `fetchSpaceXmlContent(Context context, String spaceName, boolean resetSpace)`
  Get xml content for specified workspace
  `List<X3Skin>`
  `getAvailableSkins(Context context)`
  Get all available themes
  `List<X3Space>`
  `getAvailableSpaces(Context context)`
  Get all available workspaces
  `List<X3Widget>`
  `getAvailableWidgets(Context context)`
  Get all available widget
  `X3ContentAssist`
  `getContentAssistOptions(Context context, String id)`
  `X3Skin`
  `getDefaultOfflineSkin()`
  Get default skin data.
  `boolean`
  `getDefaultWorkspaceChange(Context context)`
  Get the ability of the user to change the default workspaces setting
  `List<X3Space>`
  `getDefaultWorkspaces(Context context)`
  Get the default workspaces for the user
  `String`
  `getDownloadCheckoutLocationForMachine(Context context, String machineName)`
  Get file system location where document are stored when user performs check out action
  `String`
  `getDownloadViewLocationForMachine(Context context, String machineName)`
  Get file system location where document are stored when user performs view action
  `boolean`
  `getImportContentSame(Context context)`
  `boolean`
  `getImportContentSameProp(Context context)`
  `String`
  `getLastUsedObject(Context context)`
  `String`
  `getLastUsedWorkspace(Context context)`
  `String`
  `getPortalMenuPosition(Context context)`
  Get user option for menu position (left or top)
  `int`
  `getPortalMenuWidth(Context context)`
  Get user option for menu width
  `String`
  `getPortalRowHeight(Context context)`
  Get user option for row height (small or large)
  `String`
  `getQueryFormIdFromWidget(Context context, String widgetName)`
  Return the id of the query form configured for a widget.
  `X3Skin`
  `getSkin(Context context, String skinConfigName)`
  Get a theme for specified configuration name
  `X3Space`
  `getSpace(Context context, String configName, boolean getThumbnail)`
  Get the space with the config name
  `String`
  `getUserClientExperience(Context context)`
  returns the browser.plugin.mode corresponding to thin or wsctf
  `List<String>`
  `getUserLastSpaces(Context context)`
  Get last used workspaces for current user
  `GetUserLastSpacesResponse`
  `getUserLastSpacesResponse(Context context)`
  `boolean`
  `getWorkspaceRestore(Context context)`
  Get the restore session setting of the user
  `Boolean`
  `isWidgetInView(Context context, String spaceConfigName, String widgetConfigName, int viewIndex)`
  Determines if the specified widget is configured in the specified view of the specified workspace (needed to know how to handle the remove widget action)
  `String`
  `resolveExternalWidgetUrl(Context context, String x3WidgetConfigName, String id, String url)`
  Get url for external widget
  `boolean`
  `saveUserLastSpaces(Context context, List<String> spacesXmlContent)`
  Set last used workspaces for current user
  `boolean`
  `setDefaultWorkspaces(Context context, List<String> workspaces)`
  Set the default workspaces for the user
  `boolean`
  `setDownloadLocationCheckoutForMachine(Context context, String machineName, String downloadLocation)`
  Set file system location where document are stored when user performs checkout action
  `boolean`
  `setDownloadLocationViewForMachine(Context context, String machineName, String downloadLocation)`
  Set file system location where document are stored when user performs view action
  `boolean`
  `setImportContentSame(Context context, boolean bSame)`
  `boolean`
  `setImportContentSameProp(Context context, boolean bSame)`
  `boolean`
  `setLastUsedObject(Context context, String lastUsedObject)`
  `boolean`
  `setLastUsedWorkspace(Context context, String lastUsedWorkspace)`
  `boolean`
  `setPortalMenuPosition(Context context, String position)`
  Set user option for menu position
  `boolean`
  `setPortalMenuWidth(Context context, int width)`
  Set user option for menu width
  `boolean`
  `setPortalRowHeight(Context context, String height)`
  Set user option for row height
  `boolean`
  `setUserClientExperience(Context context, String userClientExperience)`
  Set User selected mode for user client experience {thin,wsctf}
  `boolean`
  `setWorkspaceRestore(Context context, boolean bRestore)`
  Set the restore session setting of the user

  ### Methods inherited from interface com.emc.d2fs.interfaces.ID2fsService

  `isRemote, setRemote`

- ## Method Details

  - ### getDefaultOfflineSkin

    X3Skin getDefaultOfflineSkin() throws Exception
    Get default skin data.
    Returns:
      `X3Skin` skin data
    Throws:
      `Exception`
    Since:
      4.2.0

  - ### getAvailableSpaces

    List<X3Space> getAvailableSpaces(Context context) throws Exception
    Get all available workspaces
    Parameters:
      `context` - `Context` object containing informations about client/session
    Returns:
      `X3Space` list
    Throws:
      `Exception`
    Since:
      4.0.1

  - ### fetchSpaceXmlContent

    String fetchSpaceXmlContent(Context context, String spaceName, boolean resetSpace) throws Exception
    Get xml content for specified workspace
    Parameters:
      `context` - `Context` object containing informations about client/session
      `spaceName` - String value of workspace name
      `resetSpace` - true to skip using user saved space
    Returns:
      String value of xml
    Throws:
      `Exception`
    Since:
      4.2.1

  - ### getUserLastSpaces

    List<String> getUserLastSpaces(Context context) throws Exception
    Get last used workspaces for current user
    Parameters:
      `context` - `Context` object containing informations about client/session
    Returns:
      String list of workspace xml content
    Throws:
      `Exception`
    Since:
      4.0.1

  - ### saveUserLastSpaces

    boolean saveUserLastSpaces(Context context, List<String> spacesXmlContent) throws Exception
    Set last used workspaces for current user
    Parameters:
      `context` - `Context` object containing informations about client/session
      `spacesXmlContent` - String list of xml contents
    Returns:
      true if process performs without error
    Throws:
      `Exception`
    Since:
      4.0.1

  - ### getAvailableSkins

    List<X3Skin> getAvailableSkins(Context context) throws Exception
    Get all available themes
    Parameters:
      `context` - `Context` object containing informations about client/session
    Returns:
      `X3Skin` list
    Throws:
      `Exception`
    Since:
      4.0.1

  - ### getSkin

    X3Skin getSkin(Context context, String skinConfigName) throws Exception
    Get a theme for specified configuration name
    Parameters:
      `context` - `Context` object containing informations about client/session
      `skinConfigName` - String value of configuration name
    Returns:
      `X3Skin`
    Throws:
      `Exception`
    Since:
      4.0.1

  - ### getAvailableWidgets

    List<X3Widget> getAvailableWidgets(Context context) throws Exception
    Get all available widget
    Parameters:
      `context` - `Context` object containing informations about client/session
    Returns:
      `X3Widget` list
    Throws:
      `Exception`
    Since:
      4.0.1

  - ### resolveExternalWidgetUrl

    String resolveExternalWidgetUrl(Context context, String x3WidgetConfigName, String id, String url) throws Exception
    Get url for external widget
    Parameters:
      `context` - `Context` object containing informations about client/session
      `x3WidgetConfigName` - String value of external widget configuration name
      `id` - String value of
      `url` - String value of default url
    Returns:
      String value of url
    Throws:
      `Exception`
    Since:
      4.0.1

  - ### getDownloadViewLocationForMachine

    String getDownloadViewLocationForMachine(Context context, String machineName) throws Exception
    Get file system location where document are stored when user performs view action
    Parameters:
      `context` - `Context` object containing informations about client/session
      `machineName` - String value of machine name
    Returns:
      String value of full path
    Throws:
      `Exception`
    Since:
      4.0.1

  - ### getDownloadCheckoutLocationForMachine

    String getDownloadCheckoutLocationForMachine(Context context, String machineName) throws Exception
    Get file system location where document are stored when user performs check out action
    Parameters:
      `context` - `Context` object containing informations about client/session
      `machineName` - String value of machine name
    Returns:
      String value of full path
    Throws:
      `Exception`
    Since:
      4.0.1

  - ### setUserClientExperience

    boolean setUserClientExperience(Context context, String userClientExperience) throws Exception
    Set User selected mode for user client experience {thin,wsctf}
    Parameters:
      `enabled` - DOCUMENT ME!
    Returns:
    Throws:
      `DfException` - Documentum error.
      `Exception`

  - ### getUserClientExperience

    String getUserClientExperience(Context context) throws Exception
    returns the browser.plugin.mode corresponding to thin or wsctf
    Returns:
      user client mode
    Throws:
      `DfException` - Documentum error.
      `Exception`

  - ### getPortalRowHeight

    String getPortalRowHeight(Context context) throws Exception
    Get user option for row height (small or large)
    Parameters:
      `context` - `Context` object containing informations about client/session
    Returns:
      String representation of the height
    Throws:
      `Exception`
    Since:
      4.1.0

  - ### getPortalMenuPosition

    String getPortalMenuPosition(Context context) throws Exception
    Get user option for menu position (left or top)
    Parameters:
      `context` - `Context` object containing informations about client/session
    Returns:
      String value of position
    Throws:
      `Exception`
    Since:
      4.0.1

  - ### getPortalMenuWidth

    int getPortalMenuWidth(Context context) throws Exception
    Get user option for menu width
    Parameters:
      `context` - `Context` object containing informations about client/session
    Returns:
      int value of width
    Throws:
      `Exception`
    Since:
      4.0.1

  - ### setDownloadLocationViewForMachine

    boolean setDownloadLocationViewForMachine(Context context, String machineName, String downloadLocation) throws Exception
    Set file system location where document are stored when user performs view action
    Parameters:
      `context` - `Context` object containing informations about client/session
      `machineName` - String value of machine name
      `downloadLocation` - String value of full path
    Returns:
      true if process performs without error
    Throws:
      `Exception`
    Since:
      4.0.1

  - ### setDownloadLocationCheckoutForMachine

    boolean setDownloadLocationCheckoutForMachine(Context context, String machineName, String downloadLocation) throws Exception
    Set file system location where document are stored when user performs checkout action
    Parameters:
      `context` - `Context` object containing informations about client/session
      `machineName` - String value of machine name
      `downloadLocation` - String value of full path
    Returns:
      true if process performs without error
    Throws:
      `Exception`
    Since:
      4.0.1

  - ### setPortalRowHeight

    boolean setPortalRowHeight(Context context, String height) throws Exception
    Set user option for row height
    Parameters:
      `context` - `Context` object containing informations about client/session
      `height` - String representation of the height (small or large)
    Returns:
      true if process performs without error
    Throws:
      `Exception`
    Since:
      4.1.0

  - ### setPortalMenuPosition

    boolean setPortalMenuPosition(Context context, String position) throws Exception
    Set user option for menu position
    Parameters:
      `context` - `Context` object containing informations about client/session
      `position` - String value of position (left or top)
    Returns:
      true if process performs without error
    Throws:
      `Exception`
    Since:
      4.0.1

  - ### setPortalMenuWidth

    boolean setPortalMenuWidth(Context context, int width) throws Exception
    Set user option for menu width
    Parameters:
      `context` - `Context` object containing informations about client/session
      `width` - int value of width
    Returns:
      true if process performs without error
    Throws:
      `Exception`
    Since:
      4.0.1

  - ### getQueryFormIdFromWidget

    String getQueryFormIdFromWidget(Context context, String widgetName) throws Exception
    Return the id of the query form configured for a widget.
    Parameters:
      `context` - `Context` object containing informations about client/session
      `widgetName` - String the name of the widget.
    Returns:
      query id
    Throws:
      `Exception`
    Since:
      4.0.1

  - ### getSpace

    X3Space getSpace(Context context, String configName, boolean getThumbnail) throws Exception
    Get the space with the config name
    Parameters:
      `context` - `Context` object containing informations about client/session
      `configName` - of the space to get
      `getThumbnail` - boolean to get the thumbnail image data ( heavy )
    Returns:
      `X3Space`
    Throws:
      `Exception`
    Since:
      4.2.0

  - ### isWidgetInView

    Boolean isWidgetInView(Context context, String spaceConfigName, String widgetConfigName, int viewIndex) throws Exception
    Determines if the specified widget is configured in the specified view of the specified workspace (needed to know how to handle the remove widget action)
    Parameters:
      `context` -
      `spaceConfigName` -
      `widgetConfigName` -
      `viewIndex` -
    Returns:
      true if the widget is configured in the view
    Throws:
      `Exception`

  - ### getDefaultWorkspaces

    List<X3Space> getDefaultWorkspaces(Context context) throws Exception
    Get the default workspaces for the user
    Parameters:
      `context` - `Context` object containing informations about client/session
    Returns:
      a list of default workspaces
    Throws:
      `Exception`
    Since:
      5.0.0

  - ### setDefaultWorkspaces

    boolean setDefaultWorkspaces(Context context, List<String> workspaces) throws Exception
    Set the default workspaces for the user
    Parameters:
      `context` - `Context` object containing informations about client/session
      `a` - name list of default workspaces
    Returns:
      true if the operation is successful
    Throws:
      `Exception`
    Since:
      5.0.0

  - ### getDefaultWorkspaceChange

    boolean getDefaultWorkspaceChange(Context context) throws Exception
    Get the ability of the user to change the default workspaces setting
    Parameters:
      `context` - `Context` object containing informations about client/session
    Returns:
      true if the user has the ability to change the default workspaces setting
    Throws:
      `Exception`
    Since:
      5.0.0

  - ### getWorkspaceRestore

    boolean getWorkspaceRestore(Context context) throws Exception
    Get the restore session setting of the user
    Parameters:
      `context` - `Context` object containing informations about client/session
    Returns:
      true if the session is restored
    Throws:
      `Exception`
    Since:
      4.5.0

  - ### setWorkspaceRestore

    boolean setWorkspaceRestore(Context context, boolean bRestore) throws Exception
    Set the restore session setting of the user
    Parameters:
      `context` - `Context` object containing informations about client/session
      `restore` - setting : true if the session is restored
    Returns:
      true if the session is restored
    Throws:
      `Exception`
    Since:
      4.5.0

  - ### getImportContentSame

    boolean getImportContentSame(Context context) throws Exception
    Throws:
      `Exception`

  - ### setImportContentSame

    boolean setImportContentSame(Context context, boolean bSame) throws Exception
    Throws:
      `Exception`

  - ### getImportContentSameProp

    boolean getImportContentSameProp(Context context) throws Exception
    Throws:
      `Exception`

  - ### setImportContentSameProp

    boolean setImportContentSameProp(Context context, boolean bSame) throws Exception
    Throws:
      `Exception`

  - ### getLastUsedWorkspace

    String getLastUsedWorkspace(Context context) throws Exception
    Parameters:
      `context` - `Context` object containing informations about client/session
    Returns:
      the config name of the last used workspace
    Throws:
      `Exception`
    Since:
      4.6.0

  - ### setLastUsedWorkspace

    boolean setLastUsedWorkspace(Context context, String lastUsedWorkspace) throws Exception
    Parameters:
      `context` - `Context` object containing informations about client/session
      `lastUsedWorkspace` - : the config name of the last used workspace
    Returns:
      true if the operation is successful
    Throws:
      `Exception`
    Since:
      4.6.0

  - ### getLastUsedObject

    String getLastUsedObject(Context context) throws Exception
    Parameters:
      `context` - `Context` object containing informations about client/session
    Returns:
      information about the last used object
    Throws:
      `Exception`
    Since:
      4.6.0

  - ### setLastUsedObject

    boolean setLastUsedObject(Context context, String lastUsedObject) throws Exception
    Parameters:
      `context` - `Context` object containing informations about client/session
      `lastUsedObject` - : information about the last used object
    Returns:
      true if the operation is successful
    Throws:
      `Exception`
    Since:
      4.6.0

  - ### getUserLastSpacesResponse

    GetUserLastSpacesResponse getUserLastSpacesResponse(Context context) throws Exception
    Throws:
      `Exception`

  - ### getContentAssistOptions

    X3ContentAssist getContentAssistOptions(Context context, String id) throws Exception
    Parameters:
      `context` - `Context` object containing informations about client/session
      `id` - selected content
    Returns:
      information about content assist options
    Throws:
      `Exception`
    Since:
      4.6.1